<template>
  <section class="hero is-large">
    <div class="hero-body">
      <div class="container">
        <h1 class="title is-1 is-spaced">
          {{ title }}
        </h1>
        <h2 class="subtitle is-3">
          {{ subtitle }}
        </h2>

        <slot></slot>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      required: true
    },
    subtitle: {
      type: String,
      required: false
    }
  }
}
</script>
